﻿using C1.Win.C1List;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ComboFiltering
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            SetupCombo();
        }

        /// <summary>
        /// Sample Data for C1Combo
        /// </summary>
        private void SetupCombo()
        {
            DataTable dt = new DataTable("Providers");
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Provider", typeof(string));
            dt.Columns.Add("Verified", typeof(bool));

            dt.Rows.Add(1, "ABC", true);
            dt.Rows.Add(2, "DEF", false);
            dt.Rows.Add(3, "GHI", true);
            dt.Rows.Add(4, "JKL", false);
            dt.Rows.Add(5, "MNO", true);

            c1Combo1.DataSource = dt;
            c1Combo1.Columns[2].ValueItems.Presentation = PresentationEnum.CheckBox;

            foreach (C1DisplayColumn col in c1Combo1.FocusedSplit.DisplayColumns)
            {
                col.AutoSize();
            }
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            //Filter the datatable
            var dt = c1Combo1.DataSource as DataTable;
            dt.DefaultView.RowFilter = $"[Verified] = {checkBox1.Checked}";
        }
    }
}
